<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:richx="http://xpressosystems/richx"
                template="/templates/main.xhtml">

    <ui:define name="title">
		Pedidos de Ventas
    </ui:define>

    <ui:define name="location">
        <h:outputText value="Pedidos de Ventas"  style="font-family: Arial;font-size : 10px;"/>
    </ui:define>

    <ui:define name="body">
		<style>

			.dataTable_TD_PVE_1 {
				font-weight: bold;
				display:block; 
				text-align:center; 
				background-color:#FFFF00;
			}
			.dataTable_TD_PVE_2 {
				font-weight: bold;
				display:block; 
				text-align:center; 
				background-color:#CCFF33;
			}
			.dataTable_TD_PVE_4 {
				font-weight: bold;
				display:block; 
				text-align:center; 
				background-color:#99FF33;
			}
			.dataTable_TD_PVE_8 {
				font-weight: bold;
				display:block; 
				text-align:center; 
				background-color:#66FF33;
			}
			.dataTable_TD_PVE_16 {
				font-weight: bold;
				display:block; 
				text-align:center; 
				background-color:#33CC33;
			}
			.dataTable_TD_PVE_32 {
				font-weight: bold;
				display:block; 
				text-align:center; 
				background-color:#00FF00;
			}
			.dataTable_TD_PVE_64 {
				font-weight: bold;
				display:block; 
				text-align:center; 
				background-color:#00FFCC;
			}
			.dataTable_TD_PVE_128 {
				font-weight: bold;
				display:block; 
				text-align:center; 
				background-color:#FF66CC;
			}
			.dataTable_TD_PVE_65535 {
				font-weight: bold;
				display:block; 
				text-align:center; 
				background-color:#FF0000;
			}

		</style>

        <a4j:form id="listarPedidosVentasForm">

            <h:panelGroup>
                <rich:messages layout="list" >
                    <f:facet name="errorMarker">
                        <h:graphicImage  value="/images/error16x16.gif" />
                    </f:facet>
                </rich:messages>
            </h:panelGroup>

            <rich:dataTable value="#{pedidosPreVisorMB.pedidoVentaList}"
                            var="pedidoVentaEasyView"
                            width="90%"  
                            styleClass="center" columnClasses="columnWidth10,columnWidth40,columnWidth30,columnWidth10,columnWidth10" >

                <f:facet name="header">
                    <h:panelGroup style="display:block; text-align:left; background-color:transparent;" >
                        <h:outputText value="Pedidos Ventas" />
                    </h:panelGroup>

                </f:facet>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:center; background-color:transparent;" >
                        <a4j:commandLink reRender="listarPedidosVentasForm,panelEditarCantidad"
                                         ignoreDupResponses="true"
                                         action="#{pedidoEnProcesoMB.prepararPedidoParaEdicion}">
							<!--
                            <h:graphicImage style="border-style:none;" value="/images/editar.png" title="#{UIMessages.COMMON_EDIT}"/>
							-->
							<h:outputText value="#{pedidoVentaEasyView.pedidoVenta.id}" />
                            <f:param name="pedidoVentaId" value="#{pedidoVentaEasyView.pedidoVenta.id}"/>
                        </a4j:commandLink> 

                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">

						<h:panelGroup style="display:block; text-align:center; background-color:transparent;">
							<h:outputText value="Flujo de Estados" />
							<br/>
							<table border="0" width="100%">
								<tr >
									<td class="dr-table-headercell rich-table-headercell"><h:outputText value="CAPT" /></td>
									<td class="dr-table-headercell rich-table-headercell"><h:outputText value="SINC" /></td>
									<td class="dr-table-headercell rich-table-headercell"><h:outputText value="VERF" /></td>
									<td class="dr-table-headercell rich-table-headercell"><h:outputText value="SURT" /></td>
									<td class="dr-table-headercell rich-table-headercell"><h:outputText value="FACT" /></td>
									<td class="dr-table-headercell rich-table-headercell"><h:outputText value="ENVI" /></td>
									<td class="dr-table-headercell rich-table-headercell"><h:outputText value="ENTR" /></td>
									<td class="dr-table-headercell rich-table-headercell"><h:outputText value="DEVU" /></td>
									<td class="dr-table-headercell rich-table-headercell"><h:outputText value="CANC" /></td>									
								</tr>

							</table>
						</h:panelGroup>
                    </f:facet>

                    <h:panelGroup style="display:block; text-align:left; background-color:transparent;" >

						<br/>
						<table class="dr-table rich-table" width="100%">

							<tbody>
								<tr>

									<a4j:repeat var="pedidoVentaEstado" value="#{pedidoVentaEasyView.pveTodos}" >

										<td class="dr-subtable-cell rich-subtable-cell">

											<rich:panel rendered="#{pedidoVentaEstado.id eq -1}" 
														styleClass="tooltip-text" bodyClass="rich-laguna-panel-no-header">
												<rich:spacer width="10"/>					
											</rich:panel>
											<rich:panel rendered="#{pedidoVentaEstado.id ne -1}" 
														styleClass="tooltip-text" bodyClass="rich-laguna-panel-no-header dataTable_TD_PVE_#{pedidoVentaEstado.estado.id}">
												<rich:spacer width="10"/>

												<rich:toolTip showEvent="onmouseover" direction="bottom-left" mode="client" styleClass="tooltip" layout="block">
													<f:facet name="defaultContent">
														<strong>Cargando...</strong>
													</f:facet>

													<h:panelGroup style="display:block; text-align:center; background-color:transparent;">
														<h:outputText value="#{pedidoVentaEstado.estado.descripcion}" />
														<br/>
														<h:outputText value="#{pedidoVentaEstado.fecha}">
															<f:convertDateTime timeZone="America/Mexico_City" pattern="yyyy/MM/dd HH:mm"/>
														</h:outputText>			
														<br/>
														<h:outputText value="#{pedidoVentaEstado.usuario.nombreCompleto}" />
														<br/>
														<h:outputText rendered="#{not empty pedidoVentaEstado.comentarios}" value="#{pedidoVentaEstado.estado.comentarios}" />
													</h:panelGroup>

												</rich:toolTip>


											</rich:panel>

										</td>

									</a4j:repeat>


								</tr>
							</tbody>
						</table>
                    </h:panelGroup>
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Cliente" />
                    </f:facet>
                    <h:panelGroup style="display:block; text-align:left; background-color:transparent;" >
                        <h:outputText value="#{pedidoVentaEasyView.pedidoVenta.cliente.razonSocial}" />
                    </h:panelGroup>
                </rich:column>

                <rich:column  >
                    <f:facet name="header">
                        <h:outputText value="Forma de Pago" />
                    </f:facet>
                    <h:outputText value="#{pedidoVentaEasyView.pedidoVenta.formaDePago.descripcion}" />
                </rich:column>

                <rich:column>
                    <f:facet name="header">
                        <h:outputText value="Importe" />
                    </f:facet>
					<h:panelGroup style="display:block; text-align:right; background-color:transparent;" >
                        <h:outputText value="#{pedidoVentaEasyView.importeTotal}">
							<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
						</h:outputText>
                    </h:panelGroup>


                </rich:column>

            </rich:dataTable>
        </a4j:form>
    </ui:define>

</ui:composition>